Get subscription
curl --request GET \
--url https://api.getcargo.io/v1/billing/subscription \
--header 'Authorization: Bearer <token>'{
"subscription": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"customerOrbId": "<string>",
"customerStripeId": "<string>",
"subscriptionStatus": "<string>",
"subscriptionStripeId": "<string>",
"subscriptionAvailableCreditsCount": 123,
"subscriptionCreditsUsedCount": 123,
"additionalAvailableCreditsCount": 123,
"hasCredits": true,
"creditsOverageBehaviors": [
{}
],
"creditsConsumptionBehaviors": [
{}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"fixedPrice": 123,
"conversionRate": 123,
"startAt": "<string>",
"resetAt": "<string>",
"endAt": "<string>",
"hasPendingChange": true,
"futureChange": {
"fixedPrice": 123,
"creditsCount": 123,
"conversionRate": 123,
"startAt": "<string>",
"endAt": "<string>"
},
"topup": {
"creditsCount": 123,
"threshold": 123
}
}
}Billing - Subscription
Get subscription
Get the current workspace subscription
GET
/
billing
/
subscription
Get subscription
curl --request GET \
--url https://api.getcargo.io/v1/billing/subscription \
--header 'Authorization: Bearer <token>'{
"subscription": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"customerOrbId": "<string>",
"customerStripeId": "<string>",
"subscriptionStatus": "<string>",
"subscriptionStripeId": "<string>",
"subscriptionAvailableCreditsCount": 123,
"subscriptionCreditsUsedCount": 123,
"additionalAvailableCreditsCount": 123,
"hasCredits": true,
"creditsOverageBehaviors": [
{}
],
"creditsConsumptionBehaviors": [
{}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"fixedPrice": 123,
"conversionRate": 123,
"startAt": "<string>",
"resetAt": "<string>",
"endAt": "<string>",
"hasPendingChange": true,
"futureChange": {
"fixedPrice": 123,
"creditsCount": 123,
"conversionRate": 123,
"startAt": "<string>",
"endAt": "<string>"
},
"topup": {
"creditsCount": 123,
"threshold": 123
}
}
}Was this page helpful?
⌘I

